# Matrix WhatsApp Bridge for Cloudron

This is a Cloudron package for the [mautrix-whatsapp](https://github.com/mautrix/whatsapp) bridge.

## Installation

1. Install the app on your Cloudron
2. The app will generate a default configuration file on first run
3. Edit the configuration file at `/app/data/config.yaml` to set up your bridge
4. Restart the app to generate the registration file
5. Copy the registration file at `/app/data/registration.yaml` to your Matrix homeserver
6. Update your homeserver configuration to include the registration file
7. Restart your Matrix homeserver
8. Restart the bridge app

## Configuration

For detailed configuration instructions, please refer to the [official documentation](https://docs.mau.fi/bridges/go/whatsapp/index.html).

## Authentication

You will need to authenticate with WhatsApp to use the bridge. After starting the bridge:

1. Send `login` to the bridge bot
2. Scan the QR code with WhatsApp on your phone, or use the pairing code method
3. The bridge will connect to WhatsApp Web

## Support

For support with the bridge itself, please visit [#whatsapp:maunium.net](https://matrix.to/#/#whatsapp:maunium.net) on Matrix.

For issues with the Cloudron packaging, please file an issue on the GitHub repository.